#ifndef PREFS_DRAG_H
#define PREFS_DRAG_H
/*
**	$Id: drag.h,v 38.5 92/12/18
**
**	File format for drag preferences
**
**	(C) Copyright 1992 Silverbox Software by Steve Lemieux
**	All Rights Reserved
*/

/*****************************************************************************/


#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif

#ifndef LIBRARIES_IFFPARSE_H
#include <libraries/iffparse.h>
#endif


/*****************************************************************************/


#define MaxStr 128

#define GD_Save 0
#define GD_Use 1
#define GD_Cancel 2
#define GD_SizeQualGadget 3
#define GD_DragQualGadget 4
#define GD_SizeGadget 5
#define GD_DragGadget 6
#define GD_CornerGadget 7
#define GD_ProgPriGadget 8
#define GD_HandPriGadget 9
#define GD_CycleZone 10
#define GD_CycleMouse 11

#define LIBVERSION 37
#define Version "2.01"
#define Date "18.12.92"
#define Version2 "38.07"

#define DI_SIZE_LEFT 1
#define DI_SIZE_RIGHT 2
#define DI_SIZE_TOP 4
#define DI_SIZE_BUTTOM 8
#define DI_LEFTTOP DI_SIZE_LEFT | DI_SIZE_TOP
#define DI_RIGHTTOP DI_SIZE_RIGHT | DI_SIZE_TOP
#define DI_LEFTBUTTOM DI_SIZE_LEFT | DI_SIZE_BUTTOM
#define DI_RIGHTBUTTOM DI_SIZE_RIGHT | DI_SIZE_BUTTOM
#define DI_SCROLL 16

#define DRAGB_Drag 1
#define DRAGF_Drag (1<<DRAGB_Drag)
#define DRAGB_Size 2
#define DRAGF_Size (1<<DRAGB_Size)
#define DRAGB_Corner 3
#define DRAGF_Corner (1<<DRAGB_Corner)

#define ID_PREF MAKE_ID('P','R','E','F')
#define ID_DRAG MAKE_ID('D','R','A','G')
#define ID_PRHD MAKE_ID('P','R','H','D')

struct DragPref
	{
	ULONG Flags;
	BYTE ProgPri;
	BYTE HandPri;
	UBYTE DragQualFlags;
	UBYTE SizeQualFlags;
	UBYTE Button;
	UBYTE Size[4];
	UBYTE Corner1[4];
	UBYTE Corner2[4];
	};

/*****************************************************************************/


#endif /* PREFS_DRAG_H */
